Package org.apache.batchee.jaxrs.client

## Enum BatchEEJAXRSClientFactory.API

- java.lang.Object
- - java.lang.Enum<BatchEEJAXRSClientFactory.API>
  - - org.apache.batchee.jaxrs.client.BatchEEJAXRSClientFactory.API

- All Implemented Interfaces:
    `Serializable`, `Comparable<BatchEEJAXRSClientFactory.API>`
  Enclosing class:
    BatchEEJAXRSClientFactory

      @Deprecated
      public static enum BatchEEJAXRSClientFactory.API
      extends Enum<BatchEEJAXRSClientFactory.API>

  Deprecated.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTO` | Deprecated.
    `CXF` | Deprecated.
    `JAXRS2` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BatchEEJAXRSClientFactory.API` | `valueOf​(String name)` | Deprecated. Returns the enum constant of this type with the specified name.
    `static BatchEEJAXRSClientFactory.API[]` | `values()` | Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CXF

          public static final BatchEEJAXRSClientFactory.API CXF

      Deprecated.

    - #### JAXRS2

          public static final BatchEEJAXRSClientFactory.API JAXRS2

      Deprecated.

    - #### AUTO

          public static final BatchEEJAXRSClientFactory.API AUTO

      Deprecated.

  - ### Method Detail

    - #### values

          public static BatchEEJAXRSClientFactory.API[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BatchEEJAXRSClientFactory.API c : BatchEEJAXRSClientFactory.API.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BatchEEJAXRSClientFactory.API valueOf​(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null